PluralAttributeBinding (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Interface PluralAttributeBinding

All Superinterfaces:
  AssociationAttributeBinding, AttributeBinding

All Known Implementing Classes:
  AbstractPluralAttributeBinding, BagBinding, SetBinding

    public interface PluralAttributeBinding

extends AssociationAttributeBinding

Method Summary
`PluralAttribute` | `getAttribute()` Obtain the attribute bound.
`int` | `getBatchSize()`
`Caching` | `getCaching()`
`AbstractCollectionElement` | `getCollectionElement()`
`CollectionKey` | `getCollectionKey()`
`Class<? extends CollectionPersister>` | `getCollectionPersisterClass()`
`TableSpecification` | `getCollectionTable()`
`Comparator` | `getComparator()`
`String` | `getCustomLoaderName()`
`CustomSQL` | `getCustomSqlDelete()`
`CustomSQL` | `getCustomSqlDeleteAll()`
`CustomSQL` | `getCustomSqlInsert()`
`CustomSQL` | `getCustomSqlUpdate()`
`Map` | `getFilterMap()`
`String` | `getOrderBy()`
`String` | `getWhere()`
`boolean` | `isInverse()`
`boolean` | `isMutable()`
`boolean` | `isOrphanDelete()`
`boolean` | `isSorted()`

Methods inherited from interface org.hibernate.metamodel.binding.AssociationAttributeBinding
`getCascadeStyle, getFetchMode, getFetchStyle, getFetchTiming, setCascadeStyles, setFetchStyle, setFetchTiming`

Methods inherited from interface org.hibernate.metamodel.binding.AttributeBinding
`addEntityReferencingAttributeBinding, getContainer, getEntityReferencingAttributeBindings, getHibernateTypeDescriptor, getMetaAttributeContext, getPropertyAccessorName, isAlternateUniqueKey, isAssociation, isBasicPropertyAccessor, isIncludedInOptimisticLocking, isLazy, setIncludedInOptimisticLocking, setPropertyAccessorName, validate`

Method Detail

### getAttribute

    PluralAttribute getAttribute()

  Description copied from interface: `AttributeBinding`
  Obtain the attribute bound.

  Specified by:
    `getAttribute` in interface `AttributeBinding`
  Returns:
    The attribute.

### getCollectionKey

    CollectionKey getCollectionKey()

### getCollectionElement

    AbstractCollectionElement getCollectionElement()

### getCollectionTable

    TableSpecification getCollectionTable()

### isMutable

    boolean isMutable()

### getCaching

    Caching getCaching()

### getCollectionPersisterClass

    Class<? extends CollectionPersister> getCollectionPersisterClass()

### getCustomLoaderName

    String getCustomLoaderName()

### getCustomSqlInsert

    CustomSQL getCustomSqlInsert()

### getCustomSqlUpdate

    CustomSQL getCustomSqlUpdate()

### getCustomSqlDelete

    CustomSQL getCustomSqlDelete()

### getCustomSqlDeleteAll

    CustomSQL getCustomSqlDeleteAll()

### isOrphanDelete

    boolean isOrphanDelete()

### getWhere

    String getWhere()

### isSorted

    boolean isSorted()

### getComparator

    Comparator getComparator()

### getBatchSize

    int getBatchSize()

### getFilterMap

    Map getFilterMap()

### isInverse

    boolean isInverse()

### getOrderBy

    String getOrderBy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.